#
# spec file for package python-anymarkup
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2020 SUSE Software Solutions Germany GmbH.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-anymarkup
Version:        0.8.1
Release:        bp155.2.10
Summary:        Parse or serialize any markup in Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/bkabrda/anymarkup
Source0:        https://github.com/bkabrda/anymarkup/archive/v%{version}/anymarkup-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-click
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module anymarkup-core >= 0.8.0}
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module configobj}
BuildRequires:  %{python_module json5}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module toml}
BuildRequires:  %{python_module xmltodict}
# /SECTION
%python_subpackages

%description
Parse or serialize any markup. Currently supports ini, json, json5, toml,
xml and yaml.

%prep
%setup -q -n anymarkup-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/anymarkup
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative anymarkup

%postun
%python_uninstall_alternative anymarkup

%files %{python_files}
%doc README.rst
%license LICENSE
%python_alternative %{_bindir}/anymarkup
%{python_sitelib}/*

%changelog
* Wed Jan 20 2021 John Vandenberg <jayvdb@gmail.com>
- Use python_alternative macro, fixing build
- Add Suggests for optional runtime dependency python-click
- Remove unnecessary build dependency python-devel and tidy spec
- Activate test suite
* Tue Dec  1 2020 Marcus Schaefer <ms@suse.com>
- version 0.8.1
* Tue Dec  1 2020 Marcus Schaefer <ms@suse.com>
- Initial submission for anymarkup module jsc#SLE-16925
